<?php
/************************************************************************/
/* FlatNuke - Flat Text Based Content Management System                 */
/* ============================================                         */
/*                                                                      */
/* Copyright (c) 2003-2004 by Simone Vellei                             */
/* http://flatnuke.sourceforge.net                                      */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/



// -------------PARAMETRI PER I COLORI PRINCIPALI ----------------------------
$bodycolor = "ffffff";			//colore sfondo
$bgcolorleft = "ffffff";		//colore spalla sinistra
$bgcolorright = "ffffff";		//colore spalla destra
$bgcolorcenter = "ffffff";		//colore centrale(sfondo sezione)
$bgcolortop = "dddddd";			//colore in alto (dietro il logo)
$colortable = "ffffff";			//colore tabelle
$colortableborder = "0000ff";	//colore bordo tabelle
$colortabletitle = "dddddd";	//titolo tabella
$colormenu = "ffffff"; 	        //menu superiore

$colortableblocktitle ="dddddd"; //colore titolo blocco
$colortableblockborder = "0000ff";	//colore bordo blocchi
$colortableblock = "ffffff";	//colore blocchi

$logo = "logo.png";				//immagine logo
$bodybackground = "";			//immagine di sfondo
$forumborder="3169c5";;			//bordo tabella del forum
$forumback="aaaaff";			//sfondo del forum
$footnewscolor="ffffff";		//footer delle news

$sectioncolor="aaaaaa";
//----------------------FUNZIONI DEFINITE DA UTENTE E USATE IN structure.php -----------------

//crea un menu orizzontale
function my_create_menu()
{
	global $theme,$home_section;
	$modlist=list_sections_translated("sections"); // return array width title - link

	echo "&nbsp;&#124;&nbsp;";
	foreach ($modlist as $modl)
	{
		$link = $modl['link'];
		$title = $modl['title'];
		$accesskey= $modl['accesskey'];
		echo "\n<strong><a accesskey= $accesskey href=\"index.php?mod=$link\">$title</a></strong>";
		echo "&nbsp;&#124;&nbsp;";
	}
}



//crea un menu orizzontale per le sottosessioni
function my_create_submenu()
{
	global $_FNVMOD;
	if ($_FNVMOD=="")
		return;

	$modlist=list_sections_translated("sections/".$_FNVMOD); // return array width title - link
	$first=true;
	foreach ($modlist as $modl)
	{
		if (!$first)
			echo "&nbsp;&#183;&nbsp;";
		$link = $modl['link'];
		$title = $modl['title'];
		$accesskey= $modl['accesskey'];

		echo "<a accesskey=$accesskey href=\"index.php?mod=$link\">$title</a>";
		$first=false;
	}
}
//-------------------END DEFINITE DA UTENTE E USATE IN structure.php -----------------






//--------------------------REQUIRED--------------------------------------------

/**
	@name OpenTable
	definisce l' apertura di una tabella
**/
function OpenTable()
{
	global $colortable,$colortableborder;
	echo "
	<table bgcolor=\"$colortableborder\" cellpadding=\"2\" cellspacing=\"1\" width=\"100%\" border=\"0\" >
		<tr>
			<td bgcolor=\"$colortable\">";
}
/**
	@name OpenTable
	definisce la chiusura di una tabella
**/
function CloseTable()
{
	echo "
			</td>
		</tr>
	</table>";
}



/**
	@name OpenTableTitle
	definisce l' apertura di una tabella con titolo
**/

function OpenTableTitle($title)
{
	global $colortable,$colortabletitle,$colortableborder;

	echo "
	<table  bgcolor='$colortableborder' cellpadding=\"2\" cellspacing=\"1\" width=\"100%\" border=0 >
		<tr>
			<td  bgcolor='$colortabletitle' >
				$title
			</td>
		</tr>
			<tr>
				<td bgcolor='$colortable'>";
}

/**
	@name CloseTableTitle
	Chiude tabella con titolo
**/
function CloseTableTitle()
{

	echo "</td></tr></table>";
}



/**
	@name OpenBlock
	@param $img immagine
	@param $title titolo
	definisce l' apertura di un blocco laterale
**/
function OpenBlock($img,$title)
{
	global $colortableblocktitle,$colortableblock,$colortableblockborder;
	if (file_exists($img))
	echo "
	<table cellspacing=1 bgcolor='$colortableblockborder' width=\"100%\">
		<tr>
			<td bgcolor=$colortableblocktitle><img src='$img' alt='' />&nbsp;
				<strong>$title :</strong>
			</td>
		</tr>
		<tr>
			<td bgcolor=$colortableblock>";
}

/**
	@name CloseBlock
	definisce l' apertura di un blocco laterale
**/
function CloseBlock()
{
	echo "
			</td>
		</tr>
	</table>
";
}

//--------------------------END REQUIRED-------------------------------------



//--------------------------NEWS--------------------------------------------

/**
@name FN_OpenFootNews
@note FUNZIONE FACOLTATIVA
apre footer news
**/
function FN_OpenFootNews()
{
	global $footnewscolor;
		echo "
<table align='center' bgcolor='$footnewscolor'  width=\"100%\">
	<tr>
		<td align='center' >
";
}


/**
@name FN_CloseFootNews
@note FUNZIONE FACOLTATIVA
apre footer news
**/
function FN_CloseFootNews()
{
		echo "
		</td>
	</tr>
</table>";
}


/**
@name FN_OpenNews
@param $title titolo news
@note FUNZIONE FACOLTATIVA
apre news
**/
function FN_OpenNews($title)
{
	OpenTableTitle($title);
}


/**
@name FN_CloseNews
@note FUNZIONE FACOLTATIVA
chiude news
**/
function FN_CloseNews()
{
	CloseTableTitle();
}
//--------------------------END NEWS-----------------------------------------


//--------------------------CMS  -----------------------------------------

/**
@name FN_CreateSubmenu
@note FUNZIONE FACOLTATIVA
Create submenu with subsections
**/

function FN_CreateSubmenu ()
{
	global $theme;
	$section="";
	if (isset($_GET['mod'])) $section=$_GET['mod'];
	if ($section=="") return;
	if (!file_exists("sections/$section")) return;

	$modlist=list_sections_translated("sections/$section"); // return array width title - link
	if (count($modlist)==0)
		return;

	OpenTable();
	foreach ($modlist as $modl)
	{
		$link = $modl['link'];
		$title = $modl['title'];
		$accesskey = $modl['accesskey'];
		if ($accesskey!="")
			$accesskey="accesskey='$accesskey'";
		echo "\n<img $accesskey src='themes/$theme/images/subsection.png' alt='Subsection' />&nbsp;<a href='index.php?mod=$link'>$title</a><br />";
	}
	CloseTable();

}


/**
@name FN_CreateNavbar
@param $tree albero di navigazione
@return stringa contenente l'html da renderizzare
@note FUNZIONE FACOLTATIVA

Crea la barra di navigazione all' interno della sessione

*/
function FN_CreateNavbar($tree,$title)
{
	$tit="";
	for($i=0;$i<sizeof($tree);$i++)
	{
		$mypath="";
		for($j=0;$j<=$i;$j++)
		{
			if($i>0 and ($j!=$i))
			{
				$mypath.=$tree[$j]."/";
			}
			else
			{
				$mypath.=$tree[$j];
			}
		}
		$tmp=$title[$i];

		if($i!=(sizeof($tree)-1))
		{
			$accesskey=getaccesskey($tmp,$mypath);
			$tit.= "<a accesskey=$accesskey href='index.php?mod=$mypath'>$tmp</a> &#187;&nbsp;";
		}
		else
		{
			$tit.= "<b>$tmp</b>";
		}
	}
	return $tit."<br />";
}

/**
@name FN_OpenSection
@param $navbar stringa che contiene l' html della barra di navigazione
@note FUNZIONE FACOLTATIVA
Apre la sezione
*/
function FN_OpenSection($navbar)
{
	global $sectioncolor,$bodycolor;
	
	echo "<div  align=\"left\" style=\"margin:2px;padding:4px;background-color:#$bodycolor;border:1px #$sectioncolor solid;\">$navbar<br />";
}

/**
@name FN_CloseSection
@param $navbar stringa che contiene l' html della barra di navigazione
@note FUNZIONE FACOLTATIVA
Chiude la sezione
*/
function FN_CloseSection($navbar)
{
	echo "</div>";
}


/**
@name FN_SectionFooter
@note FUNZIONE FACOLTATIVA
	footer della sezione
*/
function FN_SectionFooter()
{
	global $theme;

	$options="?";
	// ricava tutte le opzioni della sezione
	foreach ($_GET as $key => $value)
		$options.="$key=$value&amp;";

	echo "<br />
	<br />
	<div align='left'>
		<a href='print.php$options' target='new'>";

	echo "<img src='themes/$theme/images/print.png' border='0' alt='print' />";

	echo "
		</a>
	</div><br />";
}


/**
@name FN_OpenMotd
@note FUNZIONE FACOLTATIVA
Apre Motd
*/
function FN_OpenMotd()
{
	global $colortableborder,$bodycolor;

	echo "
			<table width=\"100%\" border=0 cellspacing=1 bgcolor=$colortableborder align=center>
				<tr>
					<td bgcolor='$bodycolor'>";
}

/**
@name FN_CloseMotd
@note FUNZIONE FACOLTATIVA
Chiude Motd
*/
function FN_CloseMotd()
{
	echo "
					</td>
				</tr>
			</table>";
}

//--------------------------FORUM  -----------------------------------------
/**
@name FN_OpenForum
@note FUNZIONE FACOLTATIVA
apre il forum
**/

function FN_OpenForum()
{
	global $forumborder;
	echo "
	<br />
	<table class=\"forum\" bgcolor=\"$forumborder\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\">
		<tr>
			<td>";

}

/**
@name FN_CloseForum
@note FUNZIONE FACOLTATIVA
chiude il forum
**/

function FN_CloseForum()
{
echo "
			</td>
		</tr>
	</table>";
}


/**
@name FN_OpenForumHeader
@note FUNZIONE FACOLTATIVA
apre l'header del forum (quello in alto con benvenuto,cerca ecc..)
**/
function FN_OpenForumHeader()
{
	global $forumborder;
    echo "
	<table class=\"forum\" border=\"4\" cellspacing='0' cellpadding='0'  width=\"100%\" bgcolor=\"$forumborder\" >
		<tr class=\"forum\">
			<td class=\"forum\">";
}

/**
@name FN_CloseForumHeader
@note FUNZIONE FACOLTATIVA
chiude l'header del forum
**/
function FN_CloseForumHeader()
{
echo "
			</td>
		</tr>
	</table>";
}


/**
@name FN_OpenPost
@note FUNZIONE FACOLTATIVA
Apre un post
**/
function FN_OpenPost ()
{
	global $forumborder;
	echo "
	<br />
	<table  id=forum  bgcolor=\"$forumborder\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\">
		<TR>
			<TD>";
}
/**
@name FN_ClosePost
@note FUNZIONE FACOLTATIVA
Chiude un post
**/
function FN_ClosePost ()
{
	echo "
			</TD>
		</TR>
	</table><br />";
}
/**
@name FN_OpenForumMenu
@note FUNZIONE FACOLTATIVA
Chiude il menu del forum (avatar ecc)
**/
function FN_OpenForumMenu ()
{
	echo "<hr />";
}

/**
@name FN_CloseForumMenu
@note FUNZIONE FACOLTATIVA
Chiude il menu forum (avatar ecc)
**/
function FN_CloseForumMenu ()
{
	echo "<hr />";
}
//--------------------------END FORUM  -----------------------------------------



	global $blocchivisibili;
	function create_blocks($edge)
	{
		global $theme,$_FNMOD,$fneditmode,$blocchivisibili;
		$handle = opendir('blocks/' . $edge);
		$modlist = array ();

		while ($file = readdir($handle))
		{
			if (!is_dir("blocks/$edge/$file") and !ereg("^\.", $file) and !stristr($file, "none_") and !stristr($file, ".xml") and !ereg("~$", $file))
			{
				array_push($modlist, $file);
			}
		}

		closedir($handle);
		natsort($modlist);
		
		
		
		foreach ($modlist as $kk=>$mod)
		{
			$tmp = eregi_replace("^[0-9][0-9]_", "", $mod);
			$title = str_replace("_", "&nbsp;", str_replace(".php", "", $tmp));
			$filelang = 'blocks/' . $edge . "/" . eregi_replace("^[0-9][0-9]_", "", $mod) . ".xml";
			if (file_exists($filelang))
			{
				$title = getLang($filelang, $title);
			}

			if (ob_start())
			{

				include ("blocks/$edge/$mod");
				$string = ob_get_contents();
				ob_end_clean();
			}
			// se il blocco  vuoto esco
			if ($string != "")
			{
				
				
				
?>
<div id="<?=$edge.$mod?>" style="display:none;position:absolute;visibility:show;left:10px;top:150px; z-index:1;border:#000000 1px outset;filter:alpha(opacity=80);-moz-opacity: .8;opacity: .8" >
	<table  border="1" cellpadding="0" class="tabella" cellspacing="0" style="MozOpacity:0.6" >
		<tr bgcolor="006699" height="20">
			<td 
			style="cursor:pointer;background-color:#006699" bgcolor="006699" 
				onmousedown = "setObject('<?=$edge.$mod?>')" 
				onmouseup = "releaseObject('<?=$edge.$mod?>')"
				onmouseover = "releaseObject('<?=$edge.$mod?>')"
			>
			<table align="left"><tr><td><img border="0" style="width:16px;height:16px;" src="./themes/<?=$theme?>/images/block.png?>" alt="<?=$edge.$mod?>" border="0" /></td></tr></table>
			<table align="right"><tr><td><img onclick="showtree('<?=$edge.$mod?>')" border="0" style="width:16px;height:16px;" src="./themes/<?=$theme?>/images/close.png" alt="close" border="0" /></td></tr></table>
			
			 <div align="center"   > 
				<?=$title?>
			</div>
			</td>
		</tr>
		<tr>
			<td   bgcolor="ffffff" style="background-color:#ffffff">
				<?=$string?>
				
				<?
				if (isadmin()&& $fneditmode!=0)
					echo "<br /><span class=\"flatnukeadmin\"><a href=\"index.php?opindex=modcont&amp;file=blocks/$edge/$mod&amp;from=index.php\">"._MODIFICA."</a></span>"; 
				
				
				
				?>
			</td>
		</tr>
	</table>
</div>

<?


				$bl['id']=$edge.$mod;
				$bl['title']=$title;
				$blocchivisibili[]=$bl;

				//ripristino mod nel caso venga cambiato dal blocco
				$mod=$modlist[$kk];
				//dprint_r($mod);
				
				CloseBlock();
			}
		}
	}

	function create_blocksmenu()
	{
		global $blocchivisibili;
		foreach ($blocchivisibili as $mod)
		{
			$title = $mod['title'];
			$id = $mod['id'];
			echo "<a href=\"javascript:showtree ('$id')\">$title</a><br />";
		}
	}

?>